Get a post by slug for owner editing.
curl --request GET \
--url https://api.nebyoulous.space/posts/by-slug/{slug}/edit \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/posts/by-slug/{slug}/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/posts/by-slug/{slug}/edit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"status": "DRAFT",
"targetName": "<string>",
"targetType": "GALAXY",
"captureDate": "<string>",
"bortle": 0,
"finalImageAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finalThumbAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"finalImageAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"finalThumbAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"postIntegrationLinks": [
{
"integrationSet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"notes": "<string>",
"inventorySummary": {
"totalFiles": 0,
"totalBytes": 123,
"byFolder": [
{
"folder": "<string>",
"fileCount": 0,
"totalBytes": 123,
"topExtensions": [
"<string>"
]
}
],
"byType": [
{
"label": "<string>",
"fileCount": 0,
"totalBytes": 123
}
]
}
}
}
]
},
"linkedIntegrationSets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"notes": "<string>",
"inventorySummary": {
"totalFiles": 0,
"totalBytes": 123,
"byFolder": [
{
"folder": "<string>",
"fileCount": 0,
"totalBytes": 123,
"topExtensions": [
"<string>"
]
}
],
"byType": [
{
"label": "<string>",
"fileCount": 0,
"totalBytes": 123
}
]
}
}
],
"gearBySetId": {}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Posts
Get a post by slug for owner editing.
GET
/
posts
/
by-slug
/
{slug}
/
edit
Get a post by slug for owner editing.
curl --request GET \
--url https://api.nebyoulous.space/posts/by-slug/{slug}/edit \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/posts/by-slug/{slug}/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/posts/by-slug/{slug}/edit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"status": "DRAFT",
"targetName": "<string>",
"targetType": "GALAXY",
"captureDate": "<string>",
"bortle": 0,
"finalImageAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finalThumbAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"finalImageAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"finalThumbAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"postIntegrationLinks": [
{
"integrationSet": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"notes": "<string>",
"inventorySummary": {
"totalFiles": 0,
"totalBytes": 123,
"byFolder": [
{
"folder": "<string>",
"fileCount": 0,
"totalBytes": 123,
"topExtensions": [
"<string>"
]
}
],
"byType": [
{
"label": "<string>",
"fileCount": 0,
"totalBytes": 123
}
]
}
}
}
]
},
"linkedIntegrationSets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"notes": "<string>",
"inventorySummary": {
"totalFiles": 0,
"totalBytes": 123,
"byFolder": [
{
"folder": "<string>",
"fileCount": 0,
"totalBytes": 123,
"topExtensions": [
"<string>"
]
}
],
"byType": [
{
"label": "<string>",
"fileCount": 0,
"totalBytes": 123
}
]
}
}
],
"gearBySetId": {}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Minimum string length:
1